Name: povray
Version: 3.5
Release: alt2
Summary: Persistence of Vision Ray Tracer (POV-Ray)
Summary(ru_RU.KOI8-R):   POV-Ray
# Licensed like freeware. See POVLEGAL.DOC.
License: povray
Url: http://www.povray.org
Group: Graphics
Requires: %name-common
#Obsoletes: megapovplus

Packager: Grigory Batalov <bga@altlinux.ru>

Source: ftp://ftp.povray.org/pub/povray/Official/Linux/povuni_s.tar.bz2
Patch: povray-3.50a-alt-title.patch.gz
Patch1: povray-3.50a-alt-build.patch.gz

# Automatically added by buildreq on Fri Sep 26 2003
BuildRequires: XFree86-devel gcc-c++ libintl-devel libjpeg-devel libpng-devel libstdc++-devel libtiff-devel zlib-devel

%description
POV-Ray is a free, full-featured ray tracer, written and
maintained  by  a  team of volunteers on the Internet.
POV-Ray has the right balance of power and versatility
to satisfy extremely experienced and competent users, while
at the same time not being so intimidating as to completely
scare new users off.

%description -l ru_RU.KOI8-R
POV-Ray -  ,  
,     
 . POV-Ray    
 ,     ,
   ,   .

#---------------------------------------------------------
%package common
Group: Graphics
Summary: POV-Ray common files
Summary(ru_RU.KOI8-R):    POV-Ray
#Obsoletes: megapovplus-common

%description common
Common files for POV-Ray: docs, textures, color maps,
scenes, scripts etc.

%description common -l ru_RU.KOI8-R
     POV-Ray: ,
,  , ,   ..

#---------------------------------------------------------
#%package mpi
#Group: Graphics
#Summary: An unofficial MPI-version of POV-Ray
#Requires: %name-common
#Url: http://www.verrall.demon.co.uk/mpipov/
#
#%description mpi
#A parrallel version of POV-Ray using MPI (mpich).
#POV-Ray is a free, full-featured ray tracer,  written  and
#maintained  by  a  team of volunteers on the Internet.  On
#the Unix platform POV-Ray can be compiled with support for
#preview  capabilities  using  the  X Window System.  Under
#Linux, POV-Ray can optionally use the SVGA library to pre-
#view renderings.
#
#---------------------------------------------------------
%prep
%setup -q -n %name-3.50a

%patch -p0
%patch1 -p1
%__subst "s!/usr/local/lib!%_datadir!ig" povray.ini

%build
%configure
%make_build CFLAGS=-Wno-multichar CXXFLAGS=-Wno-multichar
#LDFLAGS=-L%_libdir

%install
%make_install install DESTDIR=%buildroot \
 docdir=%_defaultdocdir/%name-%version \
 htmldir=%_defaultdocdir/%name-%version/html \
 imagesdir=%_defaultdocdir/%name-%version/html/images \
 vfaqdir=%_defaultdocdir/%name-%version/html/images/vfaq

%__mkdir_p %buildroot/%_sysconfdir
%__mv %buildroot/%_datadir/%name-%version/povray.ini %buildroot/%_sysconfdir/povray.ini
cat <<EOF > %buildroot/%_sysconfdir/povray.conf
[File I/O Security]
none
EOF

%files
%_bindir/povray

#%files mpi
#%_bindir/povray

%files common
%config(noreplace) %_sysconfdir/%name.*
%dir %_datadir/%name-%version
%_datadir/%name-%version/*
%docdir %_defaultdocdir/%name-%version
%dir %_defaultdocdir/%name-%version
%_defaultdocdir/%name-%version/*
%doc %_man1dir/*

%changelog
* Fri Sep 26 2003 Grigory Batalov <bga@altlinux.ru> 3.5-alt2
- build requirements fixed

* Tue Dec 24 2002 Grigory Batalov <bga@altlinux.ru> 3.5-alt1.2
- more building fixes

* Wed Oct 16 2002 Stanislav Ievlev <inger@altlinux.ru> 3.5-alt1.1
- made buildable (under gcc3)
- use subst instead sed
- added packager tag
- fix buildreq

* Wed Oct 16 2002 Grigory Batalov <bga@altlinux.ru> 3.5-alt1
- Initial build
